Bug 1340327 - Review Request: M3D-Linux - Linux program that can communicate with the Micro M3D printer
Summary: Review Request: M3D-Linux - Linux program that can communicate with the Micro...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-27 02:36 UTC by Dennis Gilmore
Modified: 2017-08-14 16:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-14 16:02:08 UTC
Type: ---
mhroncok: fedora-review?


Attachments (Terms of Use)

Description Dennis Gilmore 2016-05-27 02:36:25 UTC
Spec URL: https://ausil.us/packages/M3D-Linux.spec
SRPM URL: https://ausil.us/packages/M3D-Linux-0.16-1.fc24.gitd0bbb03.20160526.src.rpm
Description: Linux program that can communicate with the Micro M3D printer
Fedora Account System Username: ausil

Comment 1 Miro Hrončok 2016-05-27 21:00:45 UTC
Quick eyes only scan of the spec file.

1. You might want to use GitHub source URL: https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Hosting_Services

2. Why is the binary located in sbin?

3. You probably want to install https://github.com/donovan6000/M3D-Linux/blob/master/90-m3d-local.rules or depend on 3dprinter-udev-rules to enable user level access to the printer (test if the second works).

Comment 2 Miro Hrončok 2016-05-27 21:02:04 UTC
Also, since the executable is named m3d-linux, I'd recommend to name the package also in lower case and maybe put M3D-Linux as virtual provide if it seems necessary to you.

Comment 3 Miro Hrončok 2016-05-27 21:18:10 UTC
%global gitdate  20160526

The commit d0bbb03 is dated to 20160120.

Comment 4 Dennis Gilmore 2016-05-27 22:07:34 UTC
The packaging follows how I have done some X drivers that do not have proper upstream releases. the gitdate is the date checked out not when the code was committed. I will add a Requires on 3dprinter-udev-rules. The upstream Makefile puts the binary in sbin. In testing even though I can read and write to /dev/ttyACM0 trying to run m3d-linux without using sudo gives "Elevated privileges required" which is likely a bug in the code

Comment 5 Miro Hrončok 2016-07-27 10:48:08 UTC
What's the status with this?

Comment 6 Dennis Gilmore 2017-08-14 16:02:08 UTC
closing this as my printer died. and the software was renamed at the request of the hardware vendor


Note You need to log in before you can comment on or make changes to this bug.